Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Timur Tabi <[email-masked]>
Date: Wed, 14 Feb 2007 08:03:57 -0600

Benjamin Herrenschmidt wrote:

>> I just don't understand why it's okay to leave it there.
> 
> To make sure there is one. I suspect kernel bits might get upset if it's
> absent.

That's not what I meant.  What I don't understand is: what's so special 
about the 8272 that its DTS should have a 'chosen' section, but no other 
DTS needs one?

Obviously, the kernel needs a 'chosen' section, and that's why U-Boot 
adds one.  And since U-Boot adds one, the DTS itself doesn't need one. 
Does the 8272 never use U-Boot?